Subject: [rfc-i] CORRECTED RE: Handling of large code sections ...

From: "Paul Duffy \(paduffy\)" <paduffy=[email-masked]>
Date: Wed, 25 May 2022 21:17:28 +0000

From: rfc-interest <[email-masked]> On Behalf Of Paul Duffy (paduffy)
Sent: Wednesday, May 25, 2022 5:15 PM
To: RFC Interest <[email-masked]>
Subject: [rfc-i] Handling of large code sections ...

Folks

Is it acceptable for a draft to externally reference large sections of code (say, parked in Github) versus inlining into the draft?  The FORMER makes for easy access and input into the code's respective tool chain, versus messy cut/paste of the LATTER.

Cheers
_______________________________________________
rfc-interest mailing list
[email-masked]
https://mailman.rfc-editor.org/mailman/listinfo/rfc-interest

---

From: Jay Daley <[email-masked]>
Date: Wed, 25 May 2022 22:51:40 +0100

Hi Paul

Can you achieve what you want using the "src" attribute of the <sourcecode> element, which points to an external URI? 

	https://authors.ietf.org/en/rfcxml-vocabulary#src-2

I don’t know if this is supported on author-tools given the potential issues but it will work locally.

cheersJay

> On 25 May 2022, at 22:17, Paul Duffy (paduffy) <paduffy=[email-masked]> wrote:
> 
>  
>  
> Is it acceptable for a draft to externally reference large sections of code (say, parked in Github) versus inlining into the draft?  The FORMER makes for easy access and input into the code’s respective tool chain, versus messy cut/paste of the LATTER.
>  
> Cheers

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Joel Halpern <[email-masked]>
Date: Wed, 25 May 2022 18:58:01 -0400

From where I sit, there is an important and unstated distinction that 
affects which path makes sense.  Is the code needed to understand the 
RFC, or in some other way to be considered normative.  If so, as far as 
I can tell it must be part of the RFC.

On the other hand, if the code is informative e.g. as an example of how 
one might implement the RFC, then probably a pointer would suffice.

Yours,

Joel

On 5/25/2022 5:17 PM, Paul Duffy (paduffy) wrote:
>
> *From:* rfc-interest <[email-masked]> *On Behalf 
> Of *Paul Duffy (paduffy)
> *Sent:* Wednesday, May 25, 2022 5:15 PM
> *To:* RFC Interest <[email-masked]>
> *Subject:* [rfc-i] Handling of large code sections ...
>
> Folks
>
> Is it acceptable for a draft to externally reference large sections of 
> code (say, parked in Github) versus inlining into the draft?  The 
> FORMER makes for easy access and input into the code’s respective tool 
> chain, versus messy cut/paste of the LATTER.
>
> Cheers
>
>

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 26 May 2022 11:23:18 +1200

On 26-May-22 10:58, Joel Halpern wrote:
>  From where I sit, there is an important and unstated distinction that affects which path makes sense.  Is the code needed to understand the RFC, or in some other way to be considered normative.  If so, as far as I can tell it must be part of the RFC.

Yes, unless the code is published in a way that satisfies the RFC2026 section 7.1.1 or 7.1.2 requirements for external specifications (including acceptable IPR conditions). In other words, the code would need to be listed in the downref registry following a 4-week last call.

Even so, it becomes useless if the code repository goes away. I'd be very 
cautious about this, except in an Implementation Status section which goes away anyway.

    Brian

>> *From:* rfc-interest <[email-masked]> *On Behalf Of *Paul Duffy (paduffy)
code (say, parked in Github) versus inlining into the draft?  The FORMER makes for easy access and input into the code’s respective tool chain, versus messy cut/paste of the LATTER.

---

From: Donald Eastlake <[email-masked]>
Date: Wed, 25 May 2022 19:47:48 -0400

I thought there were tools for extracting marked code from an RFC. If so,
why does it make that much difference?

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]

On Wed, May 25, 2022 at 5:18 PM Paul Duffy (paduffy) <paduffy=
[email-masked]> wrote:

> code (say, parked in Github) versus inlining into the draft?  The FORMER
> makes for easy access and input into the code’s respective tool chain,
> versus messy cut/paste of the LATTER.
>
>
>
> Cheers